function norms = CalcCWTNorms(cw,p)
// CalcCWTNorms -- Calculate Norm at each Scale of CWT
//  Usage
//    norms = CalcCWTNorms(cw,p);
//  Inputs
//    cw      CWT array
//    p       optional, default = %Inf
//  Outputs
//    norms   vector of p-norms scale by scale 
//  
//  Copyright Aldo I Maalouf
        [lhs,rhs]=argn();

	if rhs < 2,
		p = %inf;
	end
	
	sz = size(cw);
	nscale = sz(2);
	norms = zeros(1,nscale);
	
	for k=1:nscale,
		norms(k) = norm(cw(:,k),p);
	end
endfunction
