function [n,nscale,nvoice,noctave] = CalcCWTPars(sz)
// CalcCWTPars -- Calculate Underlying Parameters of CWT Structure
//  Usage
//    [n,nscale,nvoice,noctave] = CalcCWTPars(sz)
//  Inputs
//    sz        size of CWT array
//  Outputs
//    n         signal length
//    nscale    number of scales
//    nvoice    number of voices
//    noctave   number of octaves
// 
//  Copyright Aldo I Maalouf

	n = sz(1); nscale = sz(2);
	noctave = floor(log2(n))-5;
	nvoice  = nscale ./ noctave;
	endfunction
