function d = DownDyadHi(x,qmf)
// DownDyadHi -- Hi-Pass Downsampling operator (periodized)
//  Usage
//    d = DownDyadHi(x,f)
//  Inputs
//    x    1-d signal at fine scale
//    f    filter
//  Outputs
//    y    1-d signal at coarse scale
//
//  See Also
//    DownDyadLo, UpDyadHi, UpDyadLo, FWT_PO, iconv
//
//  Copyright Aldo I Maalouf

	d = iconv( MirrorFilt(qmf),lshift(x));
	n = length2(d);
	d = d(1:2:(n-1));
	endfunction
