function d = DownDyadHi_PBS(x,qmf)
// DownDyadHi_PBS -- Hi-Pass Downsampling operator (periodized,symmetric)
//  Usage
//    d = DownDyadHi_PBS(x,sqmf)
//  Inputs
//    x    1-d signal at fine scale
//    sqmf symmetric filter
//  Outputs
//    y    1-d signal at coarse scale
//
//  See Also
//    DownDyadLo_PBS, UpDyadHi_PBS, UpDyadLo_PBS, FWT_PBS, symm_iconv
//
//  Copyright Aldo I Maalouf

	d = symm_iconv( MirrorSymmFilt(qmf),lshift(x));
	n = length2(d);
	d = waverow(d(1:2:(n-1)));
endfunction

    
