function d = DownDyadLo(x,qmf)
// DownDyadLo -- Lo-Pass Downsampling operator (periodized)
//  Usage
//    d = DownDyadLo(x,f)
//  Inputs
//    x    1-d signal at fine scale
//    f    filter
//  Outputs
//    y    1-d signal at coarse scale
//
//  See Also
//    DownDyadHi, UpDyadHi, UpDyadLo, FWT_PO, aconv
//
//  Copyright Aldo I Maalouf

	d = aconv(qmf,x);//
	n = length2(d);
	d = d(1:2:(n-1));
	endfunction
