function d = DownDyadLo_PBS(x,qmf)
// DownDyadLo_PBS -- Lo-Pass Downsampling operator (periodized,symmetric)
//  Usage
//    d = DownDyadLo_PBS(x,sf)
//  Inputs
//    x    1-d signal at fine scale
//    sf   symmetric filter
//  Outputs
//    y    1-d signal at coarse scale
//
//  See Also
//    DownDyadHi_PBS, UpDyadHi_PBS, UpDyadLo_PBS, FWT_PBSi, symm_aconv
//
//  Copyright Aldo I Maalouf

	d = symm_aconv(qmf,x);
	n = length2(d);
	d = waverow(d(1:2:(n-1)));

endfunction
//   
    
