function x = IWT_Stat(StatWT,qmf)
// IWT_Stat -- Invert Stationary Wavelet Transform
//  Usage
//    x = IWT_Stat(StatWT,L,qmf)
//  Inputs
//    StatWT   stationary wavelet transform table
//    qmf      quadrature mirror filter
//  Outputs
//    x        1-d signal reconstructed from StatWT
//
//  See Also
//    FWT_Stat
//
//  Copyright Aldo I Maalouf

	TIWT = Stat2TI(StatWT);
	x    = IWT_TI(TIWT,qmf);

endfunction
   
    
