function ImageWTMM(maxmap,option,color,titlestr)
// ImageWTMM -- Maxima of Continuous Wavelet Transform
//  Usage
//    ImageWTMM(maxmap)
//  Inputs
//    maxmap      maxmap produced by WTMM
//    option      'lin' or 'log' (default) for display
//    color       character color, default yellow
//    titlestr    optional. if supplied & empty, suppress title
//                if supplied & nonempty replace default title.
//
//  Side Effects
//    Spy Display of Maxima of CWT
//
//  Copyright Aldo I Maalouf

  [lhs,rhs]=argn();
	if rhs < 4,
	    titlestr = 'Local Maxima of CWT';
	end
	
	if rhs < 3,
		color = 'b';
	end
 
	if rhs < 2,
		option = 'log';
	end
	
	
	sz     = size(maxmap);
	n      = sz(1);
	nscale = sz(2);
	noctave= floor(log2(n)) -2;
	nvoice = nscale ./ noctave;

	if  string(option)=='log'   
	   ytix   = linspace(2,(noctave+2),nscale);
	   xtix   = linspace(0,n,n);
	else
	  xtix   = linspace(0,n,n);
	  ytix   = linspace(0,nscale,nscale);
	end		
        [i,j] = find(maxmap);
	if string(option)=='log'   
	  y  = 2 + (j) ./ nvoice;
          x = i;
        else
          x = i;
	  y = (j);
	end
	charstyle = [color '.'];
	
	plot(x,y,charstyle);
	plot2d([0;1],[0;1],0)//axis('ij')
	if string(option)=='log'    
	  plot2d([1;n],[2;(noctave+2)],0);//axis([1 n 2 (noctave+2)]); 
	  xtitle('','','log2(scale)');
	else
	  plot2d([1;n],[4;nscale],0);//axis([1 n 4 nscale]);
          xtitle('','i','s')    
	end
	if ~isempty(titlestr),
	  xtitle('titlestr');  //
	end
	endfunction
