function g = Interpol2(f);
//
// Interpolates signal f (length N ) to a signal g (length 2N)
// such that g(2*n) = f(n)
//
//
//  Copyright Aldo I Maalouf

	f0   = f;
	f    = f(:);
	N    = length2(f);
	hatf = mtlb_fft(f);
	hatg = zeros(2*N,1);
	hatg(1:N/2)     = 2*hatf(1:N/2);
	hatg(3*N/2+2:2*N) = 2*hatf(N/2+2:N);
	hatg(N/2+1)=hatf(N/2+1);
	hatg(3*N/2+1)=hatf(N/2+1);	
	g = real(mtlb_ifft(hatg));
	g = ShapeLike(g,f0);
	endfunction
