function spars = KeepBiggest(dense,N)
// KeepBiggest -- Kill (set to zero) all but N biggest elements
//  Usage
//    sparse = KeepBiggest(dense,N)
//
//  Copyright Aldo I Maalouf

	ordered   = reverse(msort(abs(dense(:))));
	threshold = ordered(N);
	lden=size(dense);
	lmax=max(lden(1),lden(2));
	tt=zeros(lden(1),lden(2));
	
     for i=1:lmax
	if abs(dense(i)) >= threshold
           tt(i)=1;
        end    
     end    	
	spars    = dense .* tt;
	endfunction
