function [lodyadf,dlodyadf,hidyadf,dhidyadf] = MakeATrouFilter(Type)
//
// MakeATrouFilter -- Generate Biorthonormal Quadratic Spline Filter Pair
//
//  Usage
//    [lodyadf,dlodyadf,hidyadf,dhidyadf] = MakeATrouFilter(Type,Par)
//  Inputs
//    Type   string, one of:
//		'Spline'
//    Par    Par = 3 only
//
// Outputs
//    lodyadf 	low-pass dyadic filter
//    dlodyadf   dual low-pass dyadic filter
//    hidyadf	high-pass dyadic filter
//    dhidyadf   dual high-pass dyadic filter
//
//  Copyright Aldo I Maalouf

	sqrt2 = sqrt(2);
	if (Type=='Spline'),
		lodyadf = [0.125 0.375 0.375 0.125].*sqrt2;
// for Haar
//		lodyadf = [0. 0.5 0.5 0].*sqrt2;
                dlodyadf = [0.125 0.375 0.375 0.125].*sqrt2;
		hidyadf = [.5 -.5] .*sqrt2;
  		dhidyadf = [-.03125 -.21875 -.6875 .6875 .21875 .03125].*sqrt2;
	 end
	 endfunction
