function [bp,bm] = MakeONBell(Name,m)
// MakeONBell -- Make Bell for Orthonormal Local Cosine Analysis
//  Usage
//    [bp,bm] = MakeONBell(bell,m)
//  Inputs
//    bell      bellname, currently 'Trivial','Sine'
//    m         length of bell
//  Outputs
//    bp        part of bell interior to domain
//    bm        part of bell exterior to domain
//
// See Also
//    CPAnalysis, CPSynthesis, MakeCosinePacket
//
//  Copyright Aldo I Maalouf

	xi = (1 + (.5:(m-.5))./m)./2;
	if string(Name)=='Trivial',
	   bp = sqrt(xi);
	elseif string(Name)=='Sine',
	   bp = sin( %pi/2 .* xi );
	end
	bm = sqrt(1 - bp .^2); 
	endfunction
