function y = MirrorFilt(x)
// MirrorFilt -- Apply (-1)^t modulation
//  Usage
//    h = MirrorFilt(l)
//  Inputs
//    l   1-d signal
//  Outputs
//    h   1-d signal with DC frequency content shifted
//        to Nyquist frequency
//
//  Description
//    h(t) = (-1)^(t-1)  * x(t),  1 <= t <= length(x)
//
//  See Also
//    DyadDownHi
//
//  Copyright Aldo I Maalouf

	y = -( (-1).^(1:length2(x)) ).*x;
	endfunction
