function y = MirrorSymmFilt(x)
// MirrorSymmFilt -- apply (-1)^t modulation to symmetric filter
//  Usage
//    h = MirrorSymmFilt(l)
//  Inputs
//    l   symmetric filter
//  Outputs
//    h   symmetric filter with DC frequency content shifted
//        to Nyquist frequency
//
//  Description
//    h(t) = (-1)^t  * x(t),  -k <= t <= k ; length(x)=2k+1
//
//  See Also
//    DownDyadHi_PBS
//
//  Copyright Aldo I Maalouf

  k = (length2(x)-1)/2;
	y = ( (-1).^((-k):k) ) .*x;
	endfunction

    
