function new_res = MonitorPursuit(typ,nuc,t,amax,res,a,dp,D,pktype)
// MonitorPursuit -- Display intermediate Pursuit progress
//  Usage
//    new_res = MonitorPursuit(type,nuc,t,amax,res,dp,D,pktype)
//
//  Description
//    Utility used by WPPursuit & CPPursuit. Not intended for other use.
//
//  Copyright Aldo I Maalouf

  if rem(nuc,5) == 0,
	mtlb_clf; 
	mtlb_subplot(121); LockAxes([0 1 nuc nuc+6]); 
	xtitle(sprintf('Terms to enter at steps (%g:%g)',nuc+1,nuc+5));
	mtlb_subplot(122); LockAxes([0 1 nuc-1 nuc+5]); //
	xtitle(sprintf('Residuals at steps (%g:%g)',nuc,nuc+4));
  end
//
  if string(typ)=='CP',
      newterm = CPSynthesis(zeros(1,2^D),dp,pktype);
  else
      newterm = dp(:,1)';
  end
//
  mtlb_subplot(121); mtlb_plot(t, nuc + 1 + newterm .* ( a/(3*amax)));
  new_res = res - a.*newterm;
  mtlb_subplot(122); mtlb_plot(t, nuc +  res ./(3*amax));
  drawnow();//
  endfunction
