function PlotCompressNumbers(coef,signaltitle)
// PlotCompressNumbers -- Plot Compression Numbers
//  Usage
//    PlotCompressNumbers(coef,signaltitle)
//  Inputs
//    coef           array of coefficients
//    signaltitle    title for plot  
//
//  Side Effects
//    A plot showing the compression curve for the given coeffs.
//
//  Description
//    Compression numbers show the additional accuracy obtained by
//    reconstructing with more coefficients.
//  
//  Copyright Aldo I Maalouf

	energy = sum(coef.^2);
	mm=reverse(sort(coef.^2));
	mm=sort(mm');
	cm     = [energy (energy - cumsum(mm))];
	n=size(cm,1);
	m=size(cm,2);
	nn=max(m,n);
	ccm=cm;
	for i=1:nn	  
	  if cm(i)==0
	     ccm(i)=1
	  end
	end
	plot(0:mtlb_length(coef),log(ccm),"m","log(c_m)"); 
	xtitle(mtlb_sprintf('Compression Numbers: %s',signaltitle))
endfunction
