function PlotMultiSpectrum(f,alpha)
// PlotMultiSpectrum -- Display Multifractal Spectrum
//  Usage
//    PlotMultiSpectrum(f,alpha)
//  Inputs
//    f         vector 1 by nalpha from CalcFracSpectrum
//    alpha     optional list of exponents default linspace(-.1,.9,11)
//
//  Side Effects
//    Displays a plot of f(alpha) versus alpha
//
//  See Also
//    CalcFracSpectrum
//
//  Copyright Aldo I Maalouf  
  
  [lhs,rhs]=argn();
	if rhs < 2,
	    alpha = linspace(.1,.9,11);
	end
	if isempty(alpha),
		alpha = linspace(.1,.9,11);
	end
        
        m=max(size(f));
        n=max(size(alpha));
        
        if n==1
           for i=1:m
      	       plot2d(alpha,f(i),style=[-1]);
      	   end
      	elseif m==1
      	   for i=1:m
      	       plot2d(alpha,f(i),style=[-1]);
      	   end   
      	elseif m==n
      	   for i=1:m
      	       plot2d(alpha,f(i),style=[-1]);
      	   end
      	else
      	   warning('Vectors must be the same lengths!')   
        end   
      	            
	xtitle('Multifractal Spectrum','alpha','f(alpha)');
	//mtlb_plot(alpha,f,"alpha","f(alpha)","ultifractal Spectrum")
	//'b+'
	//title('Multifractal Spectrum')
	//xlabel('alpha')
	//ylabel('f(alpha)')
	endfunction
