function PlotSynthesisTable(TfType,atomlist,n,D,scal,tit)
// PlotSynthesisTable -- Display entries in atomlist as WP or CP table
//  Usage
//    MakeSynthesisTable(TFType,atomic,n,D,scal,ttl)
//  Inputs
//    TFType	  string, 'WP' or 'CP' indicating type of atom
//    atomic	  atoms from wavelet packet or cosine packet table
//    n,D      usual packet table parameters (from which atoms are taken)
//    scal     optional scaling factor (0 => autoscale)
//    ttl      optional title
//
//  Side Effects
//   spike plot of coefficients in synthesis table
//
//  See Also
//    MakeSynthesisTable, PlotPacket Table
//
//  Copyright Aldo I Maalouf

		pkt = MakeSynthesisTable(atomlist,zeros(n,D+1));
//
		[lhs,rhs]=argn();
		if rhs < 5,
			PlotPacketTable(pkt);
		else
			PlotPacketTable(pkt,scal);
		end
//
		if string(TfType)=='WP',
			xtitle('','Frequency[Time]','')//xlabel('Frequency[Time]')
	    else
			xtitle('','Time[Frequency]','')//xlabel('Time[Frequency]')
	    end
//
     	xtitle('','','depth d')//ylabel('depth d');
		xtitle(sprintf('Synthesis Table %s',tit));
		drawnow;//
		endfunction
    
