function y = UpDyadHi(x,qmf)
// UpDyadHi -- Hi-Pass Upsampling operator; periodized
//  Usage
//    u = UpDyadHi(d,f)
//  Inputs
//    d    1-d signal at coarser scale
//    f    filter
//  Outputs
//    u    1-d signal at finer scale
//
//  See Also
//    DownDyadLo, DownDyadHi, UpDyadLo, IWT_PO, aconv
//
//  Copyright Aldo I Maalouf

	y = aconv( MirrorFilt(qmf), rshift( UpSample(x) ) );
	endfunction
