function y = UpSample(x,s)
// UpSample -- Upsampling operator
//  Usage
//    u = UpSample(d[,s]) 
//  Inputs
//    d   1-d signal, of length n
//    s   upsampling scale, default = 2
//  Outputs
//    u   1-d signal, of length s*n with zeros
//        interpolating alternate samples
//        u(s*i-1) = d(i), i=1,...,n
//
//  Copyright Aldo I Maalouf

    [lhs,rhs]=argn();
	if rhs == 1, s = 2; end
	n = length2(x)*s;
	y = zeros(1,n);
	y(1:s:(n-s+1) )=x;
	endfunction
