function y = WhiteNoise(x)
// WhiteNoise -- Version-independent white noise generator
//  Usage
//    y = WhiteNoise(x)
//  Inputs
//    x     nonempty matrix
//  Outputs
//    y     matrix shaped like x, filled with
//          standard normal random numbers.
//
//  Description
//    The method used avoids warning messages under both
//
//  Copyright Aldo I Maalouf

    temp=size(x);

    y = rand(temp(1),temp(2),'normal');
    endfunction
   
