function ix = dyad2ix(j,k)
// dyad2ix -- Convert wavelet indexing into linear indexing
//  Usage
//    ix = dyad2ix(j,k)
//  Inputs
//     j    Resolution Level. j >= 0.
//     k    Spatial Position. 0 <= k < 2^j
//  Outputs
//     ix   index in linear 1-d wavelet transform array where
//          the (j,k) wavelet coefficient is stored
//
//  Copyright Aldo I Maalouf

   ix = 2^j + k + 1;
endfunction
