function [row,ix] = pkt2ix(d,b,k,D,n)
// pkt2ix -- Convert packet table index to linear index
//  Usage
//    [row,ix] = pkt2ix(d,b,k,D,n)
//  Inputs
//    d,b,k   1-d packet table index
//    D,n     shape of packet table
//  Outputs
//    ix      linear position in packet table
//    row     row in packet table
//
//  See Also
//    ix2pkt, packet
//
//  Copyright Aldo I Maalouf

	nc = n/2^d;
	row =  1 + b*nc + k;
	ix  =  row + d*n ;
	endfunction
