function [n,J] = quadlength(x)
// quadlength -- Find length and dyadic length of square matrix
//  Usage
//    [n,J] = quadlength(x)
//  Inputs
//    x   2-d image; size(n,n), n = 2^J (hopefully)
//  Outputs
//    n   length(x)
//    J   least power of two greater than n
//
//  Side Effects
//    A warning message is issue if n is not a power of 2,
//    or if x is not a square matrix.
//
//  Copyright Aldo I Maalouf

	s = size(x);
	n = s(1);
	if s(2) ~= s(1),
		  disp('Warning in quadlength: nr != nc')
	end
	k = 1 ; J = 0; 
	
	while k < n , 
	 k=2*k;
	 J = 1+J ; 
	end ;
	
	if k ~= n ,
		  disp('Warning in quadlength: n != 2^J')
	end

endfunction

    
