function y = rnshift(x,t)
// rnshift -- t circular right shift of 1-d signal
//  Usage
//    r = rnshift(x,t)
//  Inputs
//    x   1-d signal
//  Outputs
//    r   1-d signal 
//        r(i) = x(i-t) for i > t
//	 r(i) = x(n+i-t) else
//
//  Copyright Aldo I Maalouf

	n = length2(x);
	y = [ x( (n-t+1) :n ) x( 1: (n-t) )];
	endfunction
