function y = rshift(x)
// rshift -- Circular right shift of 1-d signal
//  Usage
//    r = rshift(x)
//  Inputs
//    x   1-d signal
//  Outputs
//    r   1-d signal 
//        r(i) = x(i-1) except r(1) = x(n)
//
//  Copyright Aldo I Maalouf

	n = length2(x);
	y = [ x(n) waverow(x( 1: (n-1) ))];
	endfunction
